<?php
/**
 * Twenty Twelve functions and definitions
 *
 * Sets up the theme and provides some helper functions, which are used
 * in the theme as custom template tags. Others are attached to action and
 * filter hooks in WordPress to change core functionality.
 *
 * When using a child theme (see http://codex.wordpress.org/Theme_Development and
 * http://codex.wordpress.org/Child_Themes), you can override certain functions
 * (those wrapped in a function_exists() call) by defining them first in your child theme's
 * functions.php file. The child theme's functions.php file is included before the parent
 * theme's file, so the child theme functions would be used.
 *
 * Functions that are not pluggable (not wrapped in function_exists()) are instead attached
 * to a filter or action hook.
 *
 * For more information on hooks, actions, and filters, @link http://codex.wordpress.org/Plugin_API
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */
register_nav_menu( 'primary', __( 'Primary Menu', 'twentytwelve' ) );
register_nav_menu( 'footer', __( 'Footer Menu', 'twentytwelve' ) );


	register_sidebar( array(
		'name' => __( 'Logo ', 'twentytwelve' ),
		'id' => 'newlogo',
		'description' => __( 'Logo', 'twentytwelve' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => '</aside>',
		) );


	register_sidebar( array(
		'name' => __( 'Main Slider ', 'twentytwelve' ),
		'id' => 'mainslider',
		'description' => __( 'Main slider', 'twentytwelve' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => '</aside>',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );

	register_sidebar( array(
		'name' => __( 'Fly fishing Blog ', 'twentytwelve' ),
		'id' => 'flyfishing',
		'description' => __( 'Fly fishing Blog', 'twentytwelve' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => '</aside>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	) );

	register_sidebar( array(
		'name' => __( 'InterKnowlogy Logo', 'twentytwelve' ),
		'id' => 'interknowlogylogo',
		'description' => __( 'InterInowlogy Logo', 'twentytwelve' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => '</aside>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	) );
	
	
	register_sidebar( array(
		'name' => __( 'InterKnowlogy Logo Flip', 'twentytwelve' ),
		'id' => 'interknowlogylogoflip',
		'description' => __( 'InterInowlogy Logo Flip', 'twentytwelve' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => '</aside>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	) );	


	register_sidebar( array(
		'name' => __( 'Actus software Logo', 'twentytwelve' ),
		'id' => 'actuslogo',
		'description' => __( 'Actus software Logo', 'twentytwelve' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => '</aside>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	) );
	
	
	register_sidebar( array(
		'name' => __( 'Actus Software Logo Flip', 'twentytwelve' ),
		'id' => 'actuslogoflip',
		'description' => __( 'Actus Software Logo Flip', 'twentytwelve' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => '</aside>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	) );	


	register_sidebar( array(
		'name' => __( 'Watch Videos', 'twentytwelve' ),
		'id' => 'video',
		'description' => __( 'Watch Videos', 'twentytwelve' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => '</aside>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	) );
	
	
	register_sidebar( array(
		'name' => __( 'Watch Videos Flip', 'twentytwelve' ),
		'id' => 'videoflip',
		'description' => __( 'Watch Videos Flip', 'twentytwelve' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => '</aside>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	) );	


	register_sidebar( array(
		'name' => __( 'Contact Us', 'twentytwelve' ),
		'id' => 'contact',
		'description' => __( 'Contact Us', 'twentytwelve' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => '</aside>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	) );
	
	
	register_sidebar( array(
		'name' => __( 'Contact Us Flip', 'twentytwelve' ),
		'id' => 'contactflip',
		'description' => __( 'Contact Us Flip', 'twentytwelve' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => '</aside>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	) );	


	register_sidebar( array(
		'name' => __( 'Interview Schedule', 'twentytwelve' ),
		'id' => 'interview',
		'description' => __( 'Interview Schedule', 'twentytwelve' ),
		'before_widget' => '<span>',
		'after_widget' => '</span>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	) );
	
	
	register_sidebar( array(
		'name' => __( 'Interview Schedule Flip', 'twentytwelve' ),
		'id' => 'interviewflip',
		'description' => __( 'Interview Schedule Flip', 'twentytwelve' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => '</aside>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	) );	


	register_sidebar( array(
		'name' => __( 'InterKnowlogy Blog ', 'twentytwelve' ),
		'id' => 'interknowlogy',
		'description' => __( 'InterKnowlogy Blog', 'twentytwelve' ),
		'before_widget' => '<p >',
		'after_widget' => '</p>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	) );
	
	register_sidebar( array(
		'name' => __( 'Footer Area', 'twentytwelve' ),
		'id' => 'footer',
		'description' => __( 'Footer Area', 'twentytwelve' ),
		'before_widget' => '<div class="footerarea" >',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	) );
	
	register_sidebar( array(
		'name' => __( 'Fly Fishing Blog Page', 'twentytwelve' ),
		'id' => 'flyfishingblog',
		'description' => __( 'Fly Fishing Blog Page', 'twentytwelve' ),
		'before_widget' => '<div>',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	) );
	
	register_sidebar( array(
		'name' => __( 'Service Page Blocks', 'twentytwelve' ),
		'id' => 'speaking',
		'description' => __( 'Service Page Blocks', 'twentytwelve' ),
		'before_widget' => '<div class="sblock">',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	) );	

	register_sidebar( array(
		'name' => __( 'Company Page Blocks', 'twentytwelve' ),
		'id' => 'company',
		'description' => __( 'Company Page Blocks', 'twentytwelve' ),
		'before_widget' => '<div class="sblock">',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	) );	
	
	register_sidebar( array(
		'name' => __( 'Biography Button', 'twentytwelve' ),
		'id' => 'biography',
		'description' => __( 'Biography Button', 'twentytwelve' ),
		'before_widget' => '<div>',
		'after_widget' => '</div>',
		'before_title' => '<h2>',
		'after_title' => '</h2>',
	) );				
	
	