<?php
/**
 * The Header template for our theme
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */
?><!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width" />
<title><?php wp_title( '|', true, 'right' ); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php // Loads HTML5 JavaScript file to add support for HTML5 elements in older IE versions. ?>
<!--[if lt IE 9]>
<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js" type="text/javascript"></script>
<![endif]-->
<script src="wp-content/themes/timhuckaby/js/jquery-1.8.2.min.js" type="text/javascript"></script>
<script src="wp-content/themes/timhuckaby/js/modernizr-1.5.min.js" type="text/javascript"></script>
<script src="wp-content/themes/timhuckaby/js/scripts.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="wp-content/themes/timhuckaby/animation.css">
<link rel="stylesheet" type="text/css" href="wp-content/themes/timhuckaby/tileeffectin.css">
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="page" class="hfeed site">



	<div id="header">
    
    <div class="logo">
    <?php if ( is_active_sidebar( 'newlogo' ) ) : ?>
	<?php dynamic_sidebar( 'newlogo' ); ?>
	<?php endif; ?>
    </div>
<div class="navlinks">

<nav id="site-navigation" class="main-navigation" role="navigation">
			
			<a class="assistive-text" href="#content" title="<?php esc_attr_e( 'Skip to content', 'twentytwelve' ); ?>"><?php _e( 'Skip to content', 'twentytwelve' ); ?></a>
			<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'nav-menu' ) ); ?>
		</nav><!-- #site-navigation -->

</div>
    
    
	
	</div><!-- #Main header -->

	<div id="main" class="wrapper">