<?php
/**
 * Template Name: Main Page
 *
 * Description: A page template that provides a key component of WordPress as a CMS
 * by meeting the need for a carefully crafted introductory page. The front page template
 * in Twenty Twelve consists of a page content area for adding text, images, video --
 * anything you'd like -- followed by front-page-only widgets in one or two columns.
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */

get_header(); ?>


<div id="panel">

	<?php if ( is_active_sidebar( 'mainslider' ) ) : ?>
	<?php dynamic_sidebar( 'mainslider' ); ?>
	<?php endif; ?>
</div>

<div id="grid">
<div class="row">
<ul>
<li class="bigbox blackh">

	<?php if ( is_active_sidebar( 'flyfishing' ) ) : ?>
	<?php dynamic_sidebar( 'flyfishing' ); ?>
	<?php endif; ?>

</li>


<li class="view view-sixth">

    <?php if ( is_active_sidebar( 'interknowlogylogo' ) ) : ?>
	<?php dynamic_sidebar( 'interknowlogylogo' ); ?>
	<?php endif; ?>
<div class="mask">
    <?php if ( is_active_sidebar( 'interknowlogylogoflip' ) ) : ?>
	<?php dynamic_sidebar( 'interknowlogylogoflip' ); ?>
	<?php endif; ?>
</div>
</li>

<li class="smallbox2 tile fig-tile">
<figure>
    <?php if ( is_active_sidebar( 'actuslogo' ) ) : ?>
	<?php dynamic_sidebar( 'actuslogo' ); ?>
	<?php endif; ?>
<figcaption class="tile-caption caption-left">
    <?php if ( is_active_sidebar( 'actuslogoflip' ) ) : ?>
	<?php dynamic_sidebar( 'actuslogoflip' ); ?>
	<?php endif; ?>
    </figcaption>
</figure>
</li>
    
 
</ul>
</div>



<div class="row">
<ul>


<li class="smallbox2 tile fig-tile">
<figure>
    <?php if ( is_active_sidebar( 'video' ) ) : ?>
    <?php dynamic_sidebar( 'video' ); ?>
    <?php endif; ?>
 <figcaption class="tile-caption caption-left">
    <?php if ( is_active_sidebar( 'videoflip' ) ) : ?>
    <?php dynamic_sidebar( 'videoflip' ); ?>
    <?php endif; ?>
    </figcaption>
</figure>
</li>
	

<li class="smallbox2">
<div class="green"><?php if ( is_active_sidebar( 'contact' ) ) : ?>
	<?php dynamic_sidebar( 'contact' ); ?>
	<?php endif; ?></div>
    
    <div class="greenh">
    <?php if ( is_active_sidebar( 'contactflip' ) ) : ?>
	<?php dynamic_sidebar( 'contactflip' ); ?>
	<?php endif; ?>
    </div>
</li>


      
<li class="bigbox2 purple">
   	<?php if ( is_active_sidebar( 'interknowlogy' ) ) : ?>
	<?php dynamic_sidebar( 'interknowlogy' ); ?>
	<?php endif; ?>
</li>
 
</ul>
</div>

<div class="row">
<ul>

<li class="smallbox2">
<div class="green">
	<?php if ( is_active_sidebar( 'interview' ) ) : ?>
	<?php dynamic_sidebar( 'interview' ); ?>
	<?php endif; ?>
    <div class="greenh">
	<?php if ( is_active_sidebar( 'interviewflip' ) ) : ?>
	<?php dynamic_sidebar( 'interviewflip' ); ?>
	<?php endif; ?>
    </div>
</li>

    
 
</ul>
</div>



</div>


	<!-- #primary -->
<?php get_footer(); ?>